Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2723453003: [ios] Improve toolbar in tab_grid (Closed)

Created:
8 months, 3 weeks ago by edchin
Modified:
8 months ago
CC:
chromium-reviews, marq+scrutinize_chromium.org, lpromero+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[ios] Improve toolbar in tab_grid This CL makes visual improvements to the toolbar inside the tab grid. - The toolbar is overlaid the tab grid, with a dark blur effect view. - The toolbar properly responds to status bar height changes (such as in-call status, or horizontal no status bar). - The tab grid contents properly inset according to status bar height changes. Screenshots: https://drive.google.com/open?id=0BwS6YyQeisH5MHM4czh6akxwWDQ BUG=686770 Review-Url: https://codereview.chromium.org/2723453003 Cr-Commit-Position: refs/heads/master@{#457783} Committed: https://chromium.googlesource.com/chromium/src/+/f074360f3b524bf3e0902d788910842a42aa78e6

Patch Set 1 #

Total comments: 13

Patch Set 2 : Address comments #

Patch Set 3 : Unsafe retained assign fix #

Unified diffs Side-by-side diffs Delta from patch set Stats (+107 lines, -22 lines) Patch
M ios/clean/chrome/browser/ui/tab_grid/BUILD.gn View 1 1 chunk +2 lines, -0 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab_grid/tab_grid_collection_view_layout.mm View 1 2 chunks +1 line, -2 lines 0 comments Download
A ios/clean/chrome/browser/ui/tab_grid/tab_grid_toolbar.h View 1 chunk +18 lines, -0 lines 0 comments Download
A ios/clean/chrome/browser/ui/tab_grid/tab_grid_toolbar.mm View 1 chunk +57 lines, -0 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab_grid/tab_grid_view_controller.mm View 1 2 4 chunks +29 lines, -20 lines 0 comments Download

Messages

Total messages: 22 (9 generated)
edchin
8 months, 3 weeks ago (2017-02-28 03:42:12 UTC) #2
marq (ping after 24h)
https://codereview.chromium.org/2723453003/diff/1/ios/clean/chrome/browser/ui/tab_grid/tab_grid_collection_view_layout.mm File ios/clean/chrome/browser/ui/tab_grid/tab_grid_collection_view_layout.mm (right): https://codereview.chromium.org/2723453003/diff/1/ios/clean/chrome/browser/ui/tab_grid/tab_grid_collection_view_layout.mm#newcode15 ios/clean/chrome/browser/ui/tab_grid/tab_grid_collection_view_layout.mm:15: const UIEdgeInsets kSectionInset = {10.0f, 20.0f, 20.0f, 20.0f}; Nit: ...
8 months, 2 weeks ago (2017-03-02 06:04:54 UTC) #3
edchin
https://codereview.chromium.org/2723453003/diff/1/ios/clean/chrome/browser/ui/tab_grid/tab_grid_collection_view_layout.mm File ios/clean/chrome/browser/ui/tab_grid/tab_grid_collection_view_layout.mm (right): https://codereview.chromium.org/2723453003/diff/1/ios/clean/chrome/browser/ui/tab_grid/tab_grid_collection_view_layout.mm#newcode15 ios/clean/chrome/browser/ui/tab_grid/tab_grid_collection_view_layout.mm:15: const UIEdgeInsets kSectionInset = {10.0f, 20.0f, 20.0f, 20.0f}; On ...
8 months, 2 weeks ago (2017-03-02 07:12:44 UTC) #4
edchin
PTAL https://codereview.chromium.org/2723453003/diff/1/ios/clean/chrome/browser/ui/tab_grid/tab_grid_collection_view_layout.mm File ios/clean/chrome/browser/ui/tab_grid/tab_grid_collection_view_layout.mm (right): https://codereview.chromium.org/2723453003/diff/1/ios/clean/chrome/browser/ui/tab_grid/tab_grid_collection_view_layout.mm#newcode15 ios/clean/chrome/browser/ui/tab_grid/tab_grid_collection_view_layout.mm:15: const UIEdgeInsets kSectionInset = {10.0f, 20.0f, 20.0f, 20.0f}; ...
8 months ago (2017-03-16 07:19:59 UTC) #5
edchin
Friendly reminder to review this: ideally, I'd like marq@ and jif@ to approve.
8 months ago (2017-03-16 20:17:43 UTC) #7
marq (ping after 24h)
lgtm
8 months ago (2017-03-17 09:55:48 UTC) #8
jif-google
lgtm
8 months ago (2017-03-17 10:22:08 UTC) #10
jif
lgtm
8 months ago (2017-03-17 10:22:38 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2723453003/20001
8 months ago (2017-03-17 14:11:32 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator/builds/174640)
8 months ago (2017-03-17 14:20:30 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2723453003/40001
8 months ago (2017-03-17 14:58:26 UTC) #18
lpromero
lgtm. I looked at this yesterday but apparently I didn't send the message.
8 months ago (2017-03-17 15:18:36 UTC) #19
commit-bot: I haz the power
8 months ago (2017-03-17 16:04:48 UTC) #22
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/f074360f3b524bf3e0902d788910...

Powered by Google App Engine
This is Rietveld efc10ee0f